---
order: 4
---

# Welcome contributors

## Requirements

* The codebase MUST allow anyone to submit suggestions for changes to the codebase.
* The codebase MUST include contribution guidelines explaining how contributors can get involved, for example in a `CONTRIBUTING` file.
* The codebase SHOULD advertize the committed engagement of involved organizations in the development and maintenance.
* The codebase SHOULD document the governance of the codebase, contributions and its community, for example in a `GOVERNANCE` file.
* The codebase SHOULD have a publicly available roadmap.
* The codebase MAY include a code of conduct for contributors.

## Why this is important

* Helps newcomers understand and trust your codebase community's leadership.
* Prevents the community that works on a project splitting because there is no way to influence codebase goals and progress – resulting in diverging communities.
* Helps users decide to use one codebase over another.

## What this does not do

* Guarantee others will join the community.
* Guarantee others will reuse the codebase.

## How to test

* It's possible to submit suggestions for changes to the codebase.
* There are contribution guidelines.
* Codebase governance is clearly explained, including how to influence codebase governance.

## Policy makers: what you need to do

* Add a list to the codebase of any other resources that policy experts, non-governmental organizations and academics would find useful for understanding or reusing your policy.
* Consider adding contact details so that other policy makers considering reuse can ask you for advice.

## Management: what you need to do

* Make sure the documentation explains how your organization is involved in the project, what resources it has available for it and for how long.
* Support your experienced policy makers, developers and designers to stay part of the community for as long as possible.

## Developers and designers: what you need to do

* Respond promptly to requests.
* Keep your management informed of the time and resources you require to support other contributors.

## Further reading

* [Building welcoming communities](https://opensource.guide/building-community/) by Open Source Guides.
* The [Contributor Covenant](https://www.contributor-covenant.org/version/1/4/code-of-conduct) is a model code of conduct.
* [Leadership and governance](https://opensource.guide/leadership-and-governance/) for growing open source community projects, by Open Source Guides.
* [Building online communities](http://hintjens.com/blog:117) by Pieter Hintjens (long read!).
